Bug 983024 - [abrt] gdm-3.8.3-2.fc19: pam_modutil_getpwnam: Process /usr/libexec/gdm-session-worker was killed by signal 11 (SIGSEGV)
[abrt] gdm-3.8.3-2.fc19: pam_modutil_getpwnam: Process /usr/libexec/gdm-sessi...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
19
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
abrt_hash:1fc62c942ca070e0c07888c51f2...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-10 06:10 EDT by rajesh
Modified: 2015-02-17 11:02 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 11:02:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: cgroup (140 bytes, text/plain)
2013-07-10 06:11 EDT, rajesh
no flags Details
File: dso_list (4.83 KB, text/plain)
2013-07-10 06:11 EDT, rajesh
no flags Details
File: environ (454 bytes, text/plain)
2013-07-10 06:11 EDT, rajesh
no flags Details
File: limits (1.29 KB, text/plain)
2013-07-10 06:11 EDT, rajesh
no flags Details
File: maps (14.52 KB, text/plain)
2013-07-10 06:11 EDT, rajesh
no flags Details
File: open_fds (781 bytes, text/plain)
2013-07-10 06:11 EDT, rajesh
no flags Details
File: proc_pid_status (781 bytes, text/plain)
2013-07-10 06:11 EDT, rajesh
no flags Details

  None (edit)
Description rajesh 2013-07-10 06:10:57 EDT
Version-Release number of selected component:
gdm-3.8.3-2.fc19

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        'gdm-session-worker [pam/gdm-password]'
crash_function: pam_modutil_getpwnam
executable:     /usr/libexec/gdm-session-worker
kernel:         3.9.8-300.fc19.i686
runlevel:       N 5
uid:            0
var_log_messages: Jul  4 11:22:44 rajesh-desktop abrt[4404]: Saved core dump of pid 4399 (/usr/libexec/gdm-session-worker) to /var/tmp/abrt/ccpp-2013-07-04-11:22:44-4399 (18272256 bytes)

Truncated backtrace:
Thread no. 1 (10 frames)
 #4 pam_modutil_getpwnam at pam_modutil_getpwnam.c:41
 #5 get_account_info at passverify.c:158
 #6 get_pwd_hash at passverify.c:221
 #7 _unix_verify_password at support.c:631
 #8 pam_sm_authenticate at pam_unix_auth.c:180
 #9 _pam_dispatch_aux at pam_dispatch.c:110
 #10 _pam_dispatch at pam_dispatch.c:407
 #11 pam_authenticate at pam_auth.c:34
 #12 gdm_session_worker_authenticate_user at gdm-session-worker.c:1159
 #13 do_authenticate at gdm-session-worker.c:2179
Comment 2 rajesh 2013-07-10 06:11:05 EDT
Created attachment 771515 [details]
File: cgroup
Comment 4 rajesh 2013-07-10 06:11:15 EDT
Created attachment 771517 [details]
File: dso_list
Comment 5 rajesh 2013-07-10 06:11:20 EDT
Created attachment 771518 [details]
File: environ
Comment 6 rajesh 2013-07-10 06:11:24 EDT
Created attachment 771519 [details]
File: limits
Comment 7 rajesh 2013-07-10 06:11:30 EDT
Created attachment 771520 [details]
File: maps
Comment 8 rajesh 2013-07-10 06:11:35 EDT
Created attachment 771521 [details]
File: open_fds
Comment 9 rajesh 2013-07-10 06:11:38 EDT
Created attachment 771522 [details]
File: proc_pid_status
Comment 10 Ray Strode [halfline] 2013-07-30 16:09:13 EDT
also see bug 981482 for another memory corruption issue.
Comment 11 Steven Oliphant 2013-08-14 14:46:39 EDT
Do not remember

reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        'gdm-session-worker [pam/gdm-password]'
crash_function: pam_modutil_getpwnam
executable:     /usr/libexec/gdm-session-worker
kernel:         3.10.5-201.fc19.i686.PAE
package:        gdm-3.8.3-2.fc19
reason:         Process /usr/libexec/gdm-session-worker was killed by signal 11 (SIGSEGV)
runlevel:       N 5
uid:            0
Comment 12 Timothy Ward 2013-09-30 16:56:00 EDT
This bug is present on a f19 fedora server, desktop, and a laptop. If it is memory corruption it seems to be in pam_modutil_getpwnam and is consistent even
across different video drivers and different processors, and has been in Fedora 19 for while now. it is reproducible when the screen saver is in effect and you try to enter your password to reset the screensaver.
Comment 13 Yury Kazakevich 2013-10-14 07:43:01 EDT
1. Lock screen from Gnome 3.
2. Unlock screen.
3. Run "Automatic Bug Reporting Tool", new problem was created.

reporter:       libreport-2.1.7
backtrace_rating: 4
cmdline:        'gdm-session-worker [pam/gdm-password]'
crash_function: pam_modutil_getpwnam
executable:     /usr/libexec/gdm-session-worker
kernel:         3.11.3-201.fc19.i686.PAE
package:        gdm-3.8.4-2.fc19
reason:         Process /usr/libexec/gdm-session-worker was killed by signal 11 (SIGSEGV)
runlevel:       N 5
type:           CCpp
uid:            0
Comment 14 Fedora End Of Life 2015-01-09 13:49:29 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2015-02-17 11:02:47 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.